Subject: bug#15618: closed (Re: bug#15618: 24.3.50; Region face takes priority over any overlay faces inside?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 30 Oct 2013 02:14:03 +0000

Your bug report

#15618: 24.3.50; Region face takes priority over any overlay faces inside?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15618: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15618
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15618: 24.3.50; Region face takes priority over any overlay faces inside?
From: Dmitry Gutov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Wed, 30 Oct 2013 06:13:33 +0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 29.10.2013 21:30, Stefan Monnier wrote:
> I just installed a patch which makes the region's highlight into
> a plain-old overlay, so your problem is probably replaced by new ones ;-)

So far it seems fixed though. Thanks!

Subject: 24.3.50; Region face takes priority over any overlay faces inside?
From: Dmitry Gutov <[email-masked]>
To: [email-masked]
Date: Tue, 15 Oct 2013 06:53:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm seeing inconsistent behavior with this.

There is an overlay inside the active region, it has a `face' property.
With default theme, the foreground and background attributes of that
face are never used, the values from `region' face are used.

But if I switch to another theme (e.g. M-x load-theme RET leuven), the
inner overlay becomes easily visible.

Backstory here: https://github.com/leoliu/easy-kill/issues/3

To reproduce:

1. Install `easy-mark' from https://github.com/leoliu/easy-kill.git
2. Open a buffer with some Elisp, move point to where some text is, type
`M-x easy-mark'.
3. Some part of the buffer becomes selected with an active region. The
previous position of point is marked by the "origin" overlay, with face
that's inheriting from `error'. However, the colors don't come through.

Here's how it looks for me: http://imgur.com/a/2VZyZ

Here's how it looks for Leo:
http://i.imgur.com/i8pxksI.png

This is also what I see (except for the exact colors) if I use one of
many other themes (such as leuven, adwaita, dichromacy).

Curiously, wheatgrass behaves the same as the default one in this
respect. And if I switch to wheatgrass and only then to leuven, then I
also see the same behavior there.

Which is the right behavior? Like I mentioned in the discussion there,
Displaying Faces[0] seems to indicate that `region' face should prevail
at all times.

[0] http://www.gnu.org/software/emacs/manual/html_node/elisp/Displaying-Faces.html

In GNU Emacs 24.3.50.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.4)
 of 2013-10-15 on axl
Bzr revision: 114665 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11303000
System Description:	Ubuntu 13.04